# Uses of Record Class
org.apache.solr.client.solrj.impl.ConcurrentUpdateBaseSolrClient.Update

Packages that use ConcurrentUpdateBaseSolrClient.Update
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.

## Uses of ConcurrentUpdateBaseSolrClient.Update in org.apache.solr.client.solrj.impl

Fields in org.apache.solr.client.solrj.impl with type parameters of type ConcurrentUpdateBaseSolrClient.Update
Modifier and Type
Field
Description
`protected final ConcurrentUpdateBaseSolrClient.CustomBlockingQueue<ConcurrentUpdateBaseSolrClient.Update>`
ConcurrentUpdateBaseSolrClient.`queue`
Methods in org.apache.solr.client.solrj.impl with parameters of type ConcurrentUpdateBaseSolrClient.Update
Modifier and Type
Method
Description
`protected abstract ConcurrentUpdateBaseSolrClient.StreamingResponse`
ConcurrentUpdateBaseSolrClient.`doSendUpdateStream(ConcurrentUpdateBaseSolrClient.Update update)`